/*
 * Copyright 2017-2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef INC_GNSS_H_
#define INC_GNSS_H_

#include <stdint.h>

#if defined(__cplusplus)
extern "C" {
#elif 0
}
#endif

/**
 * Try to get a location fix.
 * @param maxtime maximum time to wait for a fix, in ms
 * @param lat returns the latitude
 * @param lon returns the longitude
 * @return fix quality, or 0 for no fix
 */
extern uint8_t Gnss_get_location(uint32_t maxtime, int32_t *lat, int32_t *lon);

#if defined(__cplusplus)
}
#endif

#endif /* INC_GNSS_H_ */
